RawSquareFreeIdeal::iterator Class Reference

iterator doesn't have all it needs to be a proper STL iterator. More...

`#include <RawSquareFreeIdeal.h>`

## Public Member Functions

| iterator (Word *term, size_t wordsPerTerm)
| operator const_iterator () const
Word * | operator* () const
iterator | operator++ ()
iterator | operator-- ()
bool | operator== (const iterator &it) const
bool | operator!= (const iterator &it) const
ptrdiff_t | operator- (const iterator &it) const
iterator | operator+ (ptrdiff_t i) const
iterator & | operator= (const iterator &it)

## Private Attributes

Word * | _term
const size_t | _wordsPerTerm

## Detailed Description

iterator doesn't have all it needs to be a proper STL iterator.

Extend it if that becomes necessary.

Definition at line 259 of file RawSquareFreeIdeal.h.

## Constructor & Destructor Documentation

## iterator()

RawSquareFreeIdeal::iterator::iterator | ( | Word * | term,
|  | size_t | wordsPerTerm )

inline

Definition at line 261 of file RawSquareFreeIdeal.h.

## Member Function Documentation

## operator const_iterator()

RawSquareFreeIdeal::iterator::operator const_iterator | ( |  | ) | const

inline

Definition at line 265 of file RawSquareFreeIdeal.h.

## operator!=()

bool RawSquareFreeIdeal::iterator::operator!= | ( | const iterator & | it | ) | const

inline

Definition at line 277 of file RawSquareFreeIdeal.h.

## operator*()

Word * RawSquareFreeIdeal::iterator::operator* | ( |  | ) | const

inline

Definition at line 269 of file RawSquareFreeIdeal.h.

## operator+()

iterator RawSquareFreeIdeal::iterator::operator+ | ( | ptrdiff_t | i | ) | const

inline

Definition at line 286 of file RawSquareFreeIdeal.h.

## operator++()

iterator RawSquareFreeIdeal::iterator::operator++ | ( |  | ) |

inline

Definition at line 270 of file RawSquareFreeIdeal.h.

## operator-()

ptrdiff_t RawSquareFreeIdeal::iterator::operator- | ( | const iterator & | it | ) | const

inline

Definition at line 282 of file RawSquareFreeIdeal.h.

## operator--()

iterator RawSquareFreeIdeal::iterator::operator-- | ( |  | ) |

inline

Definition at line 271 of file RawSquareFreeIdeal.h.

## operator=()

iterator & RawSquareFreeIdeal::iterator::operator= | ( | const iterator & | it | ) |

inline

Definition at line 289 of file RawSquareFreeIdeal.h.

## operator==()

bool RawSquareFreeIdeal::iterator::operator== | ( | const iterator & | it | ) | const

inline

Definition at line 273 of file RawSquareFreeIdeal.h.

## Member Data Documentation

## _term

Word* RawSquareFreeIdeal::iterator::_term

private

Definition at line 296 of file RawSquareFreeIdeal.h.

## _wordsPerTerm

const size_t RawSquareFreeIdeal::iterator::_wordsPerTerm

private

Definition at line 297 of file RawSquareFreeIdeal.h.

The documentation for this class was generated from the following file:

- src/RawSquareFreeIdeal.h